pugi Namespace Reference

## Classes

struct | xml_attribute_struct
| A 'name=value' XML attribute structure. More...
struct | xml_node_struct
| An XML document tree node. More...

## Functions

static PUGI__FN void | unspecified_bool_xml_attribute (xml_attribute ***)
static PUGI__FN void | unspecified_bool_xml_node (xml_node ***)
static PUGI__FN void | unspecified_bool_xml_text (xml_text ***)
PUGI__FN std::string PUGIXML_FUNCTION | as_utf8 (const wchar_t *str)
PUGI__FN std::string PUGIXML_FUNCTION | as_utf8 (const std::basic_string< wchar_t > &str)
PUGI__FN std::basic_string< wchar_t > PUGIXML_FUNCTION | as_wide (const char *str)
PUGI__FN std::basic_string< wchar_t > PUGIXML_FUNCTION | as_wide (const std::string &str)
PUGI__FN void PUGIXML_FUNCTION | set_memory_management_functions (allocation_function allocate, deallocation_function deallocate)
PUGI__FN allocation_function PUGIXML_FUNCTION | get_memory_allocation_function ()
PUGI__FN deallocation_function PUGIXML_FUNCTION | get_memory_deallocation_function ()
static PUGI__FN void | unspecified_bool_xpath_node (xpath_node ***)
static PUGI__FN void | unspecified_bool_xpath_query (xpath_query ***)

## Function Documentation

## as_utf8() [1/2]

PUGI__FN std::string PUGIXML_FUNCTION pugi::as_utf8 | ( | const std::basic_string< wchar_t > & | str | ) |

Definition at line 5878 of file pugixml.cpp.

{
return impl::as_utf8_impl(str.c_str(), str.size());
}
as_utf8_impl
PUGI__FN std::string as_utf8_impl(const wchar_t *str, size_t length)
Definition: pugixml.cpp:1614

References as_utf8_impl().

## as_utf8() [2/2]

PUGI__FN std::string PUGIXML_FUNCTION pugi::as_utf8 | ( | const wchar_t * | str | ) |

Definition at line 5871 of file pugixml.cpp.

{
assert(str);
return impl::as_utf8_impl(str, impl::strlength_wide(str));
}
strlength_wide
PUGI__FN size_t strlength_wide(const wchar_t *s)
Definition: pugixml.cpp:210

References as_utf8_impl(), and strlength_wide().

## as_wide() [1/2]

PUGI__FN std::basic_string<wchar_t> PUGIXML_FUNCTION pugi::as_wide | ( | const char * | str | ) |

Definition at line 5883 of file pugixml.cpp.

{
assert(str);
return impl::as_wide_impl(str, strlen(str));
}
as_wide_impl
PUGI__FN std::basic_string< wchar_t > as_wide_impl(const char *str, size_t size)
Definition: pugixml.cpp:1629

References as_wide_impl().

## as_wide() [2/2]

PUGI__FN std::basic_string<wchar_t> PUGIXML_FUNCTION pugi::as_wide | ( | const std::string & | str | ) |

Definition at line 5890 of file pugixml.cpp.

{
return impl::as_wide_impl(str.c_str(), str.size());
}

References as_wide_impl().

## get_memory_allocation_function()

PUGI__FN allocation_function PUGIXML_FUNCTION pugi::get_memory_allocation_function | ( |  | ) |

Definition at line 5902 of file pugixml.cpp.

{
return impl::xml_memory::allocate;
}

## get_memory_deallocation_function()

PUGI__FN deallocation_function PUGIXML_FUNCTION pugi::get_memory_deallocation_function | ( |  | ) |

Definition at line 5907 of file pugixml.cpp.

{
return impl::xml_memory::deallocate;
}

## set_memory_management_functions()

PUGI__FN void PUGIXML_FUNCTION pugi::set_memory_management_functions | ( | allocation_function | allocate,
|  | deallocation_function | deallocate
| ) |  |

Definition at line 5896 of file pugixml.cpp.

{
impl::xml_memory::allocate = allocate;
impl::xml_memory::deallocate = deallocate;
}

## unspecified_bool_xml_attribute()

static PUGI__FN void pugi::unspecified_bool_xml_attribute | ( | xml_attribute *** |  | ) |

static

Definition at line 4113 of file pugixml.cpp.

{
}

## unspecified_bool_xml_node()

static PUGI__FN void pugi::unspecified_bool_xml_node | ( | xml_node *** |  | ) |

static

Definition at line 4356 of file pugixml.cpp.

{
}

## unspecified_bool_xml_text()

static PUGI__FN void pugi::unspecified_bool_xml_text | ( | xml_text *** |  | ) |

static

Definition at line 5229 of file pugixml.cpp.

{
}

## unspecified_bool_xpath_node()

static PUGI__FN void pugi::unspecified_bool_xpath_node | ( | xpath_node *** |  | ) |

static

Definition at line 10183 of file pugixml.cpp.

{
}

## unspecified_bool_xpath_query()

static PUGI__FN void pugi::unspecified_bool_xpath_query | ( | xpath_query *** |  | ) |

static

Definition at line 10665 of file pugixml.cpp.

{
}